function IRF_ZZ = favar_irf(B,R,H,p,k,tamp)
% Produce impulse response functions
IRF_Z = tamp*R';
tamp_updated = [IRF_Z zeros(1,(p-1)*k)];

% IRF for unobserved and observed factors
for h=1:H
    IRF_Z_h = tamp_updated*B;
    IRF_Z  = [IRF_Z;IRF_Z_h];
    tamp_updated  = [IRF_Z_h tamp_updated(:,1:(p-1)*k)];
end
IRF_ZZ=cumsum(IRF_Z,1);
end
  
