function [IRF_ZZ,IRF_ZZ_lo,IRF_ZZ_up] = favar_irf_median_response_inventory(Data,H,p,k,tamp)
% Choose the impact matrix satisfying the sign restrictions
   [RR,index,BB]=identification_with_sign_restrictions_and_inventory(Data,p);
%Compute responses
for i=1:index
  IRF_ZZZ(:,:,i) = favar_irf(BB(:,1+k*(i-1):k*i),RR(:,1+k*(i-1):k*i),H,p,k,tamp);
end

for h=1:H+1
    for kk=1:k
        IRF_ZZ(h,kk)=median(squeeze(IRF_ZZZ(h,kk,:)));   
        IRF_ZZ_lo(h,kk)=quantile(squeeze(IRF_ZZZ(h,kk,:)),0.16);
        IRF_ZZ_up(h,kk)=quantile(squeeze(IRF_ZZZ(h,kk,:)),0.84);        
    end
end


end