function [oil,developed,emerging,km]=data_import_inventory()
% Djogbenou, A. A. (2023) 
% Last modified: September 2023
% This function imports oil variables (including inventory data) and real economic activity variables on developed and emerging economies 

oil = xlsread('oil.xls') ;
oil=oil';
developed = xlsread('developed.xls') ;
emerging = xlsread('emerging.xls') ;
inv = xlsread('inv.xls') ;

%Construct quarterly changes in inventory data from 1996Q3 to 2018Q2
km=[];
for ii=1:3:262
km=[km; sum(inv(ii:ii+2,1))];
end

end